#!/bin/bash

#SETTINGS=""
#SETTINGS="-O3"
SETTINGS="-Os"

CCOMP="gcc"
CPPCOMP="g++"

for i in *.c; do
    TARGET=$(basename ${i} '.c');
    echo -n "${i}";
    ${CCOMP} ${SETTINGS} -o ${TARGET} ${i};
    echo -en "\t" $(du -hsb ${TARGET} | awk '{print $1}');
    strip ${TARGET};
    echo -en "\t" $(du -hsb ${TARGET} | awk '{print $1}');
    echo '';
done

for i in *.cpp; do
    TARGET=$(basename ${i} '.cpp');
    echo -n "${i}";
    ${CPPCOMP} ${SETTINGS} -o ${TARGET} ${i};
    echo -en "\t" $(du -hsb ${TARGET} | awk '{print $1}');
    strip ${TARGET};
    echo -en "\t" $(du -hsb ${TARGET} | awk '{print $1}');
    echo '';
done
